Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception
Class ConvergenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.commons.math.exception.MathIllegalStateException
                          org.apache.commons.math.exception.ConvergenceException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class ConvergenceException

extends MathIllegalStateException

Error thrown when a numerical computation can not be performed because the numerical result failed to converge to a finite value.

Since:
  2.2
Version:
  $Revision: 1026666 $ $Date: 2010-10-23 21:30:48 +0200 (sam. 23 oct. 2010) $
See Also:
  Serialized Form

Constructor Summary
`ConvergenceException()` Construct the exception.
`ConvergenceException(Localizable specific)` Construct the exception with a specific context.
`ConvergenceException(Localizable specific, Object... args)` Construct the exception with a specific context and arguments.

Method Summary

Methods inherited from class org.apache.commons.math.exception.MathIllegalStateException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConvergenceException

    public ConvergenceException()

  Construct the exception.

### ConvergenceException

    public ConvergenceException(Localizable specific)

  Construct the exception with a specific context.

  Parameters:
    `specific` - Specific contexte pattern.

### ConvergenceException

    public ConvergenceException(Localizable specific,
                                Object... args)

  Construct the exception with a specific context and arguments.

  Parameters:
    `specific` - Specific contexte pattern.
    `args` - Arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.